Subject: bug#58440: 27.2; Exit Code on SIGINT is Zero, But shouldn't Be

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 12 Oct 2022 17:54:55 +0200

Lars Ingebrigtsen <[email-masked]> writes:

>>> It does seem like a bug -- I'd expect a non-zero exit code in this case. 
>>
>> It's by design, more or less: see handle_interrupt_signal in
>> keyboard.c. Whether that design is desired or not is a different
>> matter.
>>
>> (C-g should probably not generate a signal in the first place; it
>> creates more problems than it solves.)
>
> Hm, sounds like it...
>
> But looking at the code:

And anyway -- we do exit like we're supposed to, just not with the
correct value.  So I'm not sure this is an explanation for this
behaviour?